Notification - API Credit Card
Tentang Notification - API Credit Card
NICEPAY mengirimkan push notification yang dikirim melalui dbProcessUrl Merchant. Merchant harus memastikan tidak melakukan Blacklist IP NICEPAY dan melakukan Whitelist IP NICEPAY untuk mendapatkan push notification yang hanya dikirim dari server NICEPAY.
Request Method | POST |
|---|---|
Merchant Token | SHA256 ( iMid+ tXid + amt+ merchantKey) |
IP | IP Public environtment Production: 103.20.51.34 103.20.51.33 18.98.96.50 IP Public environtment Dev: 103.20.51.39 103.20.51.40 18.98.96.54 |
User-Agent | User-Agent: Jakarta Commons-HttpClient/3.1 |
Notification Parameter for Notification - API Credit Card
Ketika Notifikasi diterima pada dbProcessUrl Anda, kami sangat menyarankan Merchant untuk melakukan verifikasi notifikasi kembali dengan menggunakan Status Inquiry - API Credit Card.
Parameter | Tipe | Ukuran | Deskripsi | Contoh / Catatan |
|---|---|---|---|---|
tXid | N | 30 | Transaction ID | |
merchantToken | AN | 255 | Merchant Token | |
referenceNo | ANS | 40 | Merchant Order Number | |
payMethod | N | 2 | | |
amt | N | 12 | Payment Amount | |
transDt | N | 8 | Transaction Date | |
transTm | N | 6 | Transaction Time | |
currency | A | 3 | Currency | |
goodsNm | AN | 100 | Goods Name | |
billingNm | A | 100 | Billing Name | |
matchCl | N | 1 | Payment Flag: Notification Match Amount Indicator | |
status | A | 1 | | |
cpGuaranteeableStatus | N | 2 | Cp Guaranteeable Status | |
Additional Parameter for Notification - API Credit Card
Parameter | Tipe | Ukuran | Deskripsi | Contoh / Catatan |
|---|---|---|---|---|
authNo | N | 10 | Approval Number | |
IssueBankCd | A | 4 | | |
issueBankNm | A | 100 | Issuing Bank Name | |
acquBankCd | A | 4 | | |
acquBankNm | A | 4 | Acquiring Bank Name | |
cardNo | ANS | 20 | Card Number with Masking | |
cardExpYymm | N | 4 | Card Expiry (YYMM) | |
instmntMon | N | 2 | Installment Month | |
instmntType | N | 2 | | |
preauthToken | AN | 255 | Pre-Auth Token | |
recurringToken | AN | 255 | Recurring token | |
cc_trans_type | A | 2 | | |
vat | N | 12 | VAT Number | |
fee | N | 12 | Service Fee | |
notaxAmt | N | 12 | Tax Free Amount | |
Merchant Token yang diterima dari Notification, Merchant harus melakukan perbandingan kembali secara internal untuk mencegah notifikasi palsu/tidak berlaku.
Sample Parameter for Notification - API Credit Card
Request Parameter
curl -X POST "https://www.merchantdbprocessurl.com" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "ccTransType=1" \
-d "fee=0" \
-d "tXid=IONPAYTEST01202212141419051594" \
-d "amt=5000" \
-d "notaxAmt=0" \
-d "cardNo=453211*****1111" \
-d "issuBankCd=OTHR" \
-d "matchCl=1" \
-d "preauthToken=null" \
-d "cardExpYymm=2712" \
-d "acquBankNm=Mandiri" \
-d "payMethod=01" \
-d "currency=IDR" \
-d "instmntMon=1" \
-d "cc_trans_type=1" \
-d "issuBankNm=" \
-d "merchantToken=f8e51ce8c14527592c9a5f1df61975759123c93a75861c7629cc20f32b1d376b" \
-d "goodsNm=Goods" \
-d "referenceNo=ordNo20221214141284" \
-d "authNo=051594" \
-d "transTm=141905" \
-d "cpGuaranteeableStatus=null" \
-d "recurringToken=null" \
-d "vat=0" \
-d "instmntType=1" \
-d "billingNm=John+Doe" \
-d "acquBankCd=BMRI" \
-d "transDt=20221214" \
-d "status=0"
Response Parameter
{
"responseCode": 200,
"responseMessage": "Success"
}